﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head><title>Uploading Roles and Role Owners using Database Connection</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Uploading Roles and Role Owners using Database Connection</h1>
        <p style="text-align: left;">This section provides details about importing Roles and Role Owners using Database Connection import.</p>
        <ul>
            <li>
                <p style="text-align: left;">
                    <MadCap:xref href="#Uploadin">Uploading Roles using Database Connection</MadCap:xref>
                </p>
            </li>
        </ul>
        <ul>
            <li>
                <p>
                    <MadCap:xref href="#Uploadin2">Uploading Role Owners using Database Connection</MadCap:xref>
                </p>
            </li>
        </ul>
        <h2><a name="Uploadin"></a>Uploading Roles using Database Connection</h2>
        <p style="text-align: left;">To import roles using a DB connector, use the<strong> Roles Import (Complete) from Database</strong>. You can perform a roles import from database after you have imported the entitlements.&#160;Ensure that the database connection is created and running and the xml files are available at the location specified in externalconfig.properties file with parameter name <label class="filename-path">job.ecm.dbimport.xml.path</label>.</p>
        <p style="text-align: left;">To run&#160;the Roles import to IGA from the DB, perform the following steps:</p>
        <ol style="text-align: left;">
            <li>Using<strong> Admin &gt; Job Control Panel</strong>create the job using<strong style="text-align: left;"> Add New Job</strong>. Select the Job Type as&#160;<strong>Database &gt; Role Import (Complete) From Database</strong>. If you are using IGA Release pre-5.5, go to<strong> ADMIN &gt; Job Control Panel &gt; Database &gt;&#160;Role Import (Complete) From Database.</strong></li>
            <li>Click on the <strong>+ Add New Job</strong>, which opens a pop up allowing you to create a new instance of the job.</li>
            <li>Once you create a new instance of the job, click on the&#160;<strong>Role Import (Complete) From Database</strong>to view the job you created.</li>
            <li>Click the <strong>Action </strong>arrow and click <strong>START.</strong></li>
            <li>A dialog box appears to select the<strong> Database connection name </strong>and the xml file related to Role Import (Complete) xml file.&#160;</li>
            <li>After selecting the xml file from the respective path such as:&#160;<label class="filename-path">saviynt\Import\Datafiles\xmlschemaforextranaldbimport</label> click <strong>Submit</strong>.</li>
            <li>After the job executes all the Roles from the Database are imported into the<strong> IGA</strong>. You can see the status in the<strong> Job History Details</strong>.</li>
        </ol>
        <h2><a name="Uploadin2"></a>Uploading Role Owners using Database Connection</h2>
        <p style="text-align: left;">To import role owners using a DB connector, use the<strong> RoleOwner import from Database</strong>.&#160;This is mainly used to import the Role owners for respective roles from the database. Ideally, once you have imported the Roles using the <strong>Roles Import (Complete) from Database </strong>job, you can run the&#160;Role Owner&#160;import from the database to import the role owners.&#160;Ensure that the database connection is created and running and the xml files are available at the location specified in <label class="filename-path">externalconfig.properties</label> file with parameter name <label class="filename-path">job.ecm.dbimport.xml.path</label>.</p>
        <p style="text-align: left;">To run&#160;the RoleOwner import to IGA from the DB, perform the following steps:</p>
        <ol style="text-align: left;">
            <li>Using<strong> Admin &gt; Job Control Panel </strong>create the job using<strong style="text-align: left;"> Add New Job</strong>. Select the Job Type as <strong>Database &gt; Role Import (Complete) From Database</strong>. If you are using IGA Release pre-5.5 go to<strong> ADMIN &gt; Job Control Panel &gt; Database &gt;&#160;RoleOwner Import From Database.</strong></li>
            <li>Click on the<strong> + Add New Job</strong>, which opens a pop up allowing you to create a new instance of the job.</li>
            <li>Once you create a new instance of the job, click on the&#160;<strong>Role Owner Import from Database </strong>to view the job you created.</li>
            <li>Click the<strong> Action </strong>arrow and click<strong> START.</strong></li>
            <li>A dialog box appears to select the<strong> Database connection name</strong> and the xml file&#160;respective Role owner xml file.&#160;</li>
            <li>After selecting the xml file from the respective path such as:&#160;<label class="filename-path" style="font-weight: bold;">saviynt\Import\Datafiles\xmlschemaforextranaldbimport</label> click <strong>Submit</strong>.</li>
            <li>After the job executes, and Role owners from the Database are imported into the<strong> IGA</strong>. You can see the status in the<strong> Job History Details</strong>.</li>
        </ol>
    </body>
</html>